%define packname multcomp
%define packrel  7

Summary:	Simultaneous inference for general linear hypotheses R Package
Name:		R-%{packname}
Version:	1.0
Release:	5%{?dist}
License:	GPLv2
Group:		Applications/Engineering
Source0:	http://cran.r-project.org/src/contrib/%{packname}_%{version}-%{packrel}.tar.gz
URL:		http://cran.r-project.org/web/packages/multcomp/index.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	R-devel, tex(latex), R-mvtnorm >= 0.8
#Needed for more testing coverage, but not in fedora yet
#BuildRequires:  R-lme4
Requires:	R-mvtnorm >= 0.8
Requires(post):   R
Requires(postun): R


%description
This R package contains functions for simultaneous tests and confidence
intervals for general linear hypotheses in parametric models, including
linear, generalized linear, linear mixed effects, and survival models.


%prep
%setup -q -c -n %{packname}
rm multcomp/inst/svn-commit.tmp


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l %{buildroot}%{_datadir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css


%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
#We use --no-latex because it is broken with --no-install
%{_bindir}/R CMD check --no-install --no-latex %{packname}


%clean
rm -rf %{buildroot}


%post
%{_R_make_search_index}


%postun
%{_R_make_search_index}


%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/deprecated
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/man
%doc %{_datadir}/R/library/%{packname}/CHANGES 
%doc %{_datadir}/R/library/%{packname}/CITATION 
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION 
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/MCMT
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/applications
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help


%changelog
* Tue Mar 10 2009 Orion Poplawski <orion@cora.nwra.com> - 1.0-5
- Update to 1.0-7

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 14 2009 Orion Poplawski <orion@cora.nwra.com> - 1.0-3
- Update to 1.0-5

* Thu Oct 23 2008 Orion Poplawski <orion@cora.nwra.com> - 1.0-2
- Update to 1.0-3

* Thu Sep 4 2008 Orion Poplawski <orion@cora.nwra.com> - 1.0-1
- Update to 1.0-2

* Wed Apr 2 2008 Orion Poplawski <orion@cora.nwra.com> - 1.0-0
- Update to 1.0-0
- Update URL

* Tue Mar 4 2008 Orion Poplawski <orion@cora.nwra.com> - 0.993-1
- Update to 0.993-1

* Fri Feb 15 2008 Orion Poplawski <orion@cora.nwra.com> - 0.992-4
- Update to 0.992-8

* Mon Jul 23 2007 Orion Poplawski <orion@cora.nwra.com> - 0.992-3
- Update to 0.992-5
- Update license tag

* Mon Jul 23 2007 Orion Poplawski <orion@cora.nwra.com> - 0.992-2
- Update to 0.992-4, requires R-mvtnorm >= 0.8
- Fix URL and tabs/spaces

* Wed Jul 11 2007 Orion Poplawski <orion@cora.nwra.com> - 0.992-1
- Update to 0.992-2
- Comply with R packaging guidelines

* Mon Mar 19 2007 Orion Poplawski <orion@cora.nwra.com> - 0.991.8-1
- Initial package
